#include<iostream.h>
#include<iomanip.h>
 const float PI=3.14;
 int main()
{
 float volume(float r,float h=1);//函数原型
 float r,h,v;
 cout<<"请输入圆柱体的半径r和高h："<<endl;
 cin>>r>>h;
 v=volume(r,h);
 cout<<"圆柱体的体积是："<<setw(5)<<setprecision(4)<<v<<endl;
 cout<<"请输入圆柱体的半径r和高h："<<endl;
 cin>>r;
 v=volume(r);
 cout<<"圆柱体的体积是："<<setw(5)<<setprecision(4)<<v<<endl;
 return(0);
}
 float volume(float r,float h)
{
 float v;
 v=PI*r*r*h;
 return(v);
}